<?php
namespace tests\Zeedhi\Framework\Cache\Type;

use tests\Zeedhi\Framework\Cache\CacheTest;
use Zeedhi\Framework\Cache\Type\ApcuImpl;

class ApcuImplTest extends CacheTest {

	protected function setUp() {
		if (!extension_loaded('apcu') || false === @apcu_cache_info()) {
			$this->markTestSkipped('The ' . __CLASS__ . ' requires the use of APC');
		}
	}

	protected function getCache() {
		return new ApcuImpl();
	}

	public function testMultipleCrudOperations() {
		$cache = $this->getCache();
		$keysAndValues = [
			'key1' => 'value1',
			'key2' => 'value2',
		];
		$this->assertTrue($cache->saveMultiple($keysAndValues));
		$this->assertEquals($keysAndValues ,$cache->fetchMultiple(array_keys($keysAndValues)));
		$this->assertTrue($cache->deleteMultiple(array_keys($keysAndValues)));
		$this->assertEmpty($cache->fetchMultiple(array_keys($keysAndValues)));
	}
	
}